## python-stestr 1.1.0

=== requirements.txt ===
# The order of packages is significant, because pip processes them in the order
# of appearance. Changing the order has an impact on the overall integration
# process, which may cause wedges in the gate later.
future
pbr!=2.1.0,>=2.0.0 # Apache-2.0
python-subunit>=0.18.0 # Apache-2.0/BSD
fixtures>=3.0.0 # Apache-2.0/BSD
six>=1.10.0 # MIT
testtools>=2.2.0 # MIT
PyYAML>=3.10.0 # MIT

=== debian/changelog ===
python-stestr (1.1.0-0ubuntu2) bionic; urgency=medium

  * d/p/argparse-empty-array.patch: Deal with [] instead of 'None'
    when list is called with no additional parameters.

 -- James Page <james.page@ubuntu.com>  Mon, 27 Nov 2017 09:22:44 +0000

python-stestr (1.1.0-0ubuntu1) bionic; urgency=medium

  * New upstream release
  * d/rules: Setup HOME for expansion tests, correctly set PYTHONPATH
    for unit tests.

 -- James Page <james.page@ubuntu.com>  Tue, 14 Nov 2017 17:54:43 +0000

python-stestr (1.0.0-2) unstable; urgency=medium

  * Fixed python3 shebang to be python3, not python3.x.
  * Add missing openstack-pkg-tools build-depends.

 -- Thomas Goirand <zigo@debian.org>  Sun, 05 Nov 2017 23:14:46 +0000

python-stestr (1.0.0-1) unstable; urgency=medium

  * Initial release. (Closes: #876406)

 -- Thomas Goirand <zigo@debian.org>  Thu, 21 Sep 2017 21:29:08 +0200

=== debian/control ===
Source: python-stestr
Section: python
Priority: optional
Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
XSBC-Original-Maintainer: PKG OpenStack <openstack-devel@lists.alioth.debian.org>
Uploaders:
 Thomas Goirand <zigo@debian.org>,
Build-Depends:
 debhelper (>= 10),
 dh-python,
 openstack-pkg-tools,
 python-all,
 python-pbr (>= 2.0.0),
 python-setuptools,
 python-sphinx (>= 1.5.1),
 python3-all,
 python3-pbr (>= 2.0.0),
 python3-setuptools,
Build-Depends-Indep:
 python-coverage (>= 4.0),
 python-ddt,
 python-fixtures,
 python-future,
 python-mock,
 python-reno,
 python-six,
 python-subunit2sql (>= 1.8.0),
 python-testtools (>= 2.0.0),
 python-yaml,
 python3-ddt,
 python3-fixtures,
 python3-future,
 python3-mock,
 python3-six,
 python3-subunit2sql (>= 1.8.0),
 python3-testtools (>= 2.0.0),
 python3-yaml,
 subunit,
Standards-Version: 4.0.0
Vcs-Browser: https://anonscm.debian.org/cgit/openstack/libs/python-stestr.git/
Vcs-Git: https://anonscm.debian.org/git/openstack/libs/python-stestr.git
Homepage: https://github.com/mtreinish/stestr

Package: python-stestr
Architecture: all
Depends:
 python-fixtures,
 python-future,
 python-pbr (>= 2.0.0),
 python-six,
 python-testtools (>= 2.0.0),
 python-yaml,
 subunit,
 ${misc:Depends},
 ${python:Depends},
Suggests:
 python-stestr-doc,
Description: test runner similar to testrepository - Python 2.7
 Stestr stands for Slim/Super Test Repository. It is a fork of the
 testrepository that concentrates on being a dedicated test runner for Python
 projects. The generic abstraction layers which enabled testr to work with any
 subunit emitting runner are gone. Stestr hard codes python-subunit-isms into
 how it works. The code base is also designed to try and be explicit, and to
 provide a Python API that is documented and has examples.
 .
 While stestr was originally forked from testrepository it is not 100%
 backwards compatible with testrepository. At a high level the basic concepts
 of operation are shared between the 2 projects but the actual usage between
 the 2 is not exactly the same.
 .
 This package contains the Python 2.7 module.

Package: python-stestr-doc
Section: doc
Architecture: all
Depends:
 ${misc:Depends},
 ${sphinxdoc:Depends},
Description: test runner similar to testrepository - doc
 Stestr stands for Slim/Super Test Repository. It is a fork of the
 testrepository that concentrates on being a dedicated test runner for Python
 projects. The generic abstraction layers which enabled testr to work with any
 subunit emitting runner are gone. Stestr hard codes python-subunit-isms into
 how it works. The code base is also designed to try and be explicit, and to
 provide a Python API that is documented and has examples.
 .
 While stestr was originally forked from testrepository it is not 100%
 backwards compatible with testrepository. At a high level the basic concepts
 of operation are shared between the 2 projects but the actual usage between
 the 2 is not exactly the same.
 .
 This package contains the documentation.

Package: python3-stestr
Architecture: all
Depends:
 python3-fixtures,
 python3-future,
 python3-pbr (>= 2.0.0),
 python3-six,
 python3-testtools (>= 2.0.0),
 python3-yaml,
 subunit,
 ${misc:Depends},
 ${python3:Depends},
Suggests:
 python-stestr-doc,
Description: test runner similar to testrepository - Python 3.x
 Stestr stands for Slim/Super Test Repository. It is a fork of the
 testrepository that concentrates on being a dedicated test runner for Python
 projects. The generic abstraction layers which enabled testr to work with any
 subunit emitting runner are gone. Stestr hard codes python-subunit-isms into
 how it works. The code base is also designed to try and be explicit, and to
 provide a Python API that is documented and has examples.
 .
 While stestr was originally forked from testrepository it is not 100%
 backwards compatible with testrepository. At a high level the basic concepts
 of operation are shared between the 2 projects but the actual usage between
 the 2 is not exactly the same.
 .
 This package contains the Python 3.x module.

=== debian/rules ===
#!/usr/bin/make -f

UPSTREAM_GIT := https://github.com/mtreinish/stestr.git
include /usr/share/openstack-pkg-tools/pkgos.make

%:
	dh $@ --buildsystem=python_distutils --with python2,python3,sphinxdoc

export PATH:=$(PATH):$(CURDIR)/debian/bin
export HOME:=/tmp

override_dh_auto_install:
	pkgos-dh_auto_install

override_dh_python3:
	dh_python3 --shebang=/usr/bin/python3

override_dh_auto_test:
ifeq (,$(findstring nocheck, $(DEB_BUILD_OPTIONS)))
	set -x ; set -e ; for pyvers in $(PYTHONS) $(PYTHON3S); do \
		PYMAJOR=`echo $$pyvers | cut -d'.' -f1` ; \
		echo "===> Testing with python$$pyvers (python$$PYMAJOR)" ; \
		cp debian/bin/pythonX-stestr debian/bin/stestr ; \
		sed -i s/z/$$pyvers/ debian/bin/stestr ; \
		PYTHONPATH=$(CURDIR) PYTHON=python$$pyvers python$$pyvers -m stestr.cli init ; \
		PYTHONPATH=$(CURDIR) PYTHON=python$$pyvers python$$pyvers -m stestr.cli run --subunit | subunit2pyunit ; \
	done
endif

override_dh_sphinxdoc:
ifeq (,$(findstring nodocs, $(DEB_BUILD_OPTIONS)))
	sphinx-build -b html doc/source debian/python-stestr-doc/usr/share/doc/python-stestr-doc/html
	dh_sphinxdoc -O--buildsystem=python_distutils
endif

override_dh_clean:
	dh_clean -O--buildsystem=python_distutils
	rm -rf build debian/bin/stestr

# Commands not to run
override_dh_installcatalogs:
override_dh_installemacsen override_dh_installifupdown:
override_dh_installinfo override_dh_installmenu override_dh_installmime:
override_dh_installmodules override_dh_installlogcheck:
override_dh_installpam override_dh_installppp override_dh_installudev override_dh_installwm:
override_dh_installxfonts override_dh_gconf override_dh_icons override_dh_perl override_dh_usrlocal:
override_dh_installcron override_dh_installdebconf:
override_dh_installlogrotate override_dh_installgsettings:

=== debian/watch ===
version=3
opts=uversionmangle=s/(rc|a|b|c)/~$1/ \
https://pypi.debian.net/stestr/stestr-(.+)\.(?:zip|tgz|tbz|txz|(?:tar\.(?:gz|bz2|xz)))

## python-stestr 2.1.0

=== requirements.txt ===
# The order of packages is significant, because pip processes them in the order
# of appearance. Changing the order has an impact on the overall integration
# process, which may cause wedges in the gate later.
future
pbr!=2.1.0,>=2.0.0,!=4.0.0,!=4.0.1,!=4.0.2,!=4.0.3 # Apache-2.0
cliff>=2.8.0 # Apache-2.0
python-subunit>=1.3.0 # Apache-2.0/BSD
fixtures>=3.0.0 # Apache-2.0/BSD
six>=1.10.0 # MIT
testtools>=2.2.0 # MIT
PyYAML>=3.10.0 # MIT
voluptuous>=0.8.9 # BSD License

=== debian/changelog ===
python-stestr (2.1.0-2~bpo9+1) stretch-backports; urgency=medium

  * Rebuild for stretch-backports.
  * Disable tests while bootstrapping backports.

 -- Mattia Rizzolo <mattia@debian.org>  Fri, 26 Oct 2018 17:22:45 +0200

python-stestr (2.1.0-2) unstable; urgency=medium

  [ Ondřej Nový ]
  * Running wrap-and-sort -bast

  [ Thomas Goirand ]
  * Uploading to unstable.

 -- Thomas Goirand <zigo@debian.org>  Mon, 03 Sep 2018 22:57:24 +0200

python-stestr (2.1.0-1) experimental; urgency=medium

  [ Ondřej Nový ]
  * d/control: Use team+openstack@tracker.debian.org as maintainer

  [ Thomas Goirand ]
  * New upstream release.
  * Fixed (build-)depends for this release.
  * Rebased remove-privacy-breach-in-README.rst.patch.
  * Disabled argparse-empty-array.patch.

 -- Thomas Goirand <zigo@debian.org>  Sat, 18 Aug 2018 21:48:35 +0200

python-stestr (1.1.0-2) unstable; urgency=medium

  * Apply patch from Ubuntu (Closes: #898656):
    - d/p/argparse-empty-array.patch: Deal with [] instead of 'None'
    when list is called with no additional parameters.

 -- Thomas Goirand <zigo@debian.org>  Tue, 15 May 2018 10:37:29 +0200

python-stestr (1.1.0-1) unstable; urgency=medium

  [ Ondřej Nový ]
  * d/control: Set Vcs-* to salsa.debian.org
  * d/copyright: Use https in Format

  [ Thomas Goirand ]
  * New upstream release.
  * Standards-Version is now 4.1.3.
  * Fixed running unit tests, and blacklist test that will never work under
    the sbuild env: test_get_test_run_unexpected_ioerror_errno().

 -- Thomas Goirand <zigo@debian.org>  Sat, 03 Mar 2018 19:24:52 +0100

=== debian/control ===
--- 
+++ 
@@ -1,8 +1,7 @@
 Source: python-stestr
 Section: python
 Priority: optional
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: PKG OpenStack <openstack-devel@lists.alioth.debian.org>
+Maintainer: Debian OpenStack <team+openstack@tracker.debian.org>
 Uploaders:
  Thomas Goirand <zigo@debian.org>,
 Build-Depends:
@@ -17,6 +16,7 @@
  python3-pbr (>= 2.0.0),
  python3-setuptools,
 Build-Depends-Indep:
+ python-cliff (>= 2.8.0),
  python-coverage (>= 4.0),
  python-ddt,
  python-fixtures,
@@ -24,33 +24,38 @@
  python-mock,
  python-reno,
  python-six,
- python-subunit2sql (>= 1.8.0),
+# python-subunit2sql (>= 1.8.0),
  python-testtools (>= 2.0.0),
+ python-voluptuous,
  python-yaml,
+ python3-cliff (>= 2.8.0),
  python3-ddt,
  python3-fixtures,
  python3-future,
  python3-mock,
  python3-six,
- python3-subunit2sql (>= 1.8.0),
+# python3-subunit2sql (>= 1.8.0),
  python3-testtools (>= 2.0.0),
+ python3-voluptuous,
  python3-yaml,
- subunit,
-Standards-Version: 4.0.0
-Vcs-Browser: https://anonscm.debian.org/cgit/openstack/libs/python-stestr.git/
-Vcs-Git: https://anonscm.debian.org/git/openstack/libs/python-stestr.git
+ subunit (>= 1.3.0),
+Standards-Version: 4.1.3
+Vcs-Browser: https://salsa.debian.org/openstack-team/libs/python-stestr
+Vcs-Git: https://salsa.debian.org/openstack-team/libs/python-stestr.git
 Homepage: https://github.com/mtreinish/stestr
 
 Package: python-stestr
 Architecture: all
 Depends:
+ python-cliff (>= 2.8.0),
  python-fixtures,
  python-future,
  python-pbr (>= 2.0.0),
  python-six,
  python-testtools (>= 2.0.0),
+ python-voluptuous,
  python-yaml,
- subunit,
+ subunit (>= 1.3.0),
  ${misc:Depends},
  ${python:Depends},
 Suggests:
@@ -94,13 +99,15 @@
 Package: python3-stestr
 Architecture: all
 Depends:
+ python3-cliff (>= 2.8.0),
  python3-fixtures,
  python3-future,
  python3-pbr (>= 2.0.0),
  python3-six,
  python3-testtools (>= 2.0.0),
+ python3-voluptuous,
  python3-yaml,
- subunit,
+ subunit (>= 1.3.0),
  ${misc:Depends},
  ${python3:Depends},
 Suggests:

=== debian/rules ===
--- 
+++ 
@@ -7,25 +7,29 @@
 	dh $@ --buildsystem=python_distutils --with python2,python3,sphinxdoc
 
 export PATH:=$(PATH):$(CURDIR)/debian/bin
-export HOME:=/tmp
 
 override_dh_auto_install:
 	pkgos-dh_auto_install
+
+ifeq (1,0)
+ifeq (,$(findstring nocheck, $(DEB_BUILD_OPTIONS)))
+	cp debian/bin/pythonX-stestr debian/bin/stestr ;
+	sed -i s/z/2.7/ debian/bin/stestr ;
+	PYTHONPATH=$(CURDIR)/debian/python-stestr/usr/lib/python2.7/dist-packages PYTHON=python2.7 stestr init ;
+	HOME=$(CURDIR) PYTHONPATH=$(CURDIR)/debian/python-stestr/usr/lib/python2.7/dist-packages PYTHON=python2.7 stestr run --subunit 'stestr\.tests\.(?!(.*repository\.test_file\.TestFileRepository\.test_get_test_run_unexpected_ioerror_errno.*))' | subunit2pyunit ;
+	set -x ; set -e ; for i in $(PYTHON3S); do \
+		cp debian/bin/pythonX-stestr debian/bin/stestr ; \
+		sed -i s/z/$$i/ debian/bin/stestr ; \
+		PYTHONPATH=$(CURDIR)/debian/python3-stestr/usr/lib/python3/dist-packages PYTHON=python$$i stestr init ; \
+		HOME=$(CURDIR) PYTHONPATH=$(CURDIR)/debian/python3-stestr/usr/lib/python3/dist-packages PYTHON=python$$i stestr run --subunit 'stestr\.tests\.(?!(.*repository\.test_file\.TestFileRepository\.test_get_test_run_unexpected_ioerror_errno.*))' | subunit2pyunit ; \
+	done
+endif
+endif
 
 override_dh_python3:
 	dh_python3 --shebang=/usr/bin/python3
 
 override_dh_auto_test:
-ifeq (,$(findstring nocheck, $(DEB_BUILD_OPTIONS)))
-	set -x ; set -e ; for pyvers in $(PYTHONS) $(PYTHON3S); do \
-		PYMAJOR=`echo $$pyvers | cut -d'.' -f1` ; \
-		echo "===> Testing with python$$pyvers (python$$PYMAJOR)" ; \
-		cp debian/bin/pythonX-stestr debian/bin/stestr ; \
-		sed -i s/z/$$pyvers/ debian/bin/stestr ; \
-		PYTHONPATH=$(CURDIR) PYTHON=python$$pyvers python$$pyvers -m stestr.cli init ; \
-		PYTHONPATH=$(CURDIR) PYTHON=python$$pyvers python$$pyvers -m stestr.cli run --subunit | subunit2pyunit ; \
-	done
-endif
 
 override_dh_sphinxdoc:
 ifeq (,$(findstring nodocs, $(DEB_BUILD_OPTIONS)))

## python-stestr 2.3.1

=== debian/changelog ===
python-stestr (2.3.1-2~cloud0) bionic-train; urgency=medium

  * New update for the Ubuntu Cloud Archive.

 -- Openstack Ubuntu Testing Bot <openstack-testing-bot@ubuntu.com>  Wed, 14 Aug 2019 21:51:57 +0000

python-stestr (2.3.1-2) unstable; urgency=medium

  * Uploading to unstable.

 -- Thomas Goirand <zigo@debian.org>  Wed, 17 Jul 2019 00:29:41 +0200

python-stestr (2.3.1-1) experimental; urgency=medium

  * New upstream release.
  * Removed Python 2 support.
  * Rebased remove-privacy-breach-in-README.rst.patch.

 -- Thomas Goirand <zigo@debian.org>  Tue, 26 Mar 2019 21:24:27 +0100

=== debian/control ===
--- 
+++ 
@@ -8,72 +8,27 @@
  debhelper (>= 10),
  dh-python,
  openstack-pkg-tools,
- python-all,
- python-pbr (>= 2.0.0),
- python-setuptools,
- python-sphinx (>= 1.5.1),
+ python3-sphinx,
  python3-all,
- python3-pbr (>= 2.0.0),
+ python3-pbr,
  python3-setuptools,
 Build-Depends-Indep:
- python-cliff (>= 2.8.0),
- python-coverage (>= 4.0),
- python-ddt,
- python-fixtures,
- python-future,
- python-mock,
- python-reno,
- python-six,
-# python-subunit2sql (>= 1.8.0),
- python-testtools (>= 2.0.0),
- python-voluptuous,
- python-yaml,
- python3-cliff (>= 2.8.0),
+ python3-coverage,
+ python3-cliff,
  python3-ddt,
  python3-fixtures,
  python3-future,
  python3-mock,
  python3-six,
-# python3-subunit2sql (>= 1.8.0),
- python3-testtools (>= 2.0.0),
+ python3-subunit2sql,
+ python3-testtools,
  python3-voluptuous,
  python3-yaml,
- subunit (>= 1.3.0),
-Standards-Version: 4.1.3
+ subunit,
+Standards-Version: 4.3.0
 Vcs-Browser: https://salsa.debian.org/openstack-team/libs/python-stestr
 Vcs-Git: https://salsa.debian.org/openstack-team/libs/python-stestr.git
 Homepage: https://github.com/mtreinish/stestr
-
-Package: python-stestr
-Architecture: all
-Depends:
- python-cliff (>= 2.8.0),
- python-fixtures,
- python-future,
- python-pbr (>= 2.0.0),
- python-six,
- python-testtools (>= 2.0.0),
- python-voluptuous,
- python-yaml,
- subunit (>= 1.3.0),
- ${misc:Depends},
- ${python:Depends},
-Suggests:
- python-stestr-doc,
-Description: test runner similar to testrepository - Python 2.7
- Stestr stands for Slim/Super Test Repository. It is a fork of the
- testrepository that concentrates on being a dedicated test runner for Python
- projects. The generic abstraction layers which enabled testr to work with any
- subunit emitting runner are gone. Stestr hard codes python-subunit-isms into
- how it works. The code base is also designed to try and be explicit, and to
- provide a Python API that is documented and has examples.
- .
- While stestr was originally forked from testrepository it is not 100%
- backwards compatible with testrepository. At a high level the basic concepts
- of operation are shared between the 2 projects but the actual usage between
- the 2 is not exactly the same.
- .
- This package contains the Python 2.7 module.
 
 Package: python-stestr-doc
 Section: doc
@@ -99,15 +54,15 @@
 Package: python3-stestr
 Architecture: all
 Depends:
- python3-cliff (>= 2.8.0),
+ python3-cliff,
  python3-fixtures,
  python3-future,
- python3-pbr (>= 2.0.0),
+ python3-pbr,
  python3-six,
- python3-testtools (>= 2.0.0),
+ python3-testtools,
  python3-voluptuous,
  python3-yaml,
- subunit (>= 1.3.0),
+ subunit,
  ${misc:Depends},
  ${python3:Depends},
 Suggests:

=== debian/rules ===
#!/usr/bin/make -f

UPSTREAM_GIT := https://github.com/mtreinish/stestr.git
include /usr/share/openstack-pkg-tools/pkgos.make

%:
	dh $@ --buildsystem=python_distutils --with python3,sphinxdoc

# We need this to have the stestr binary when running tests
export PATH:=$(PATH):$(CURDIR)/debian/tmp/usr/bin

override_dh_auto_clean:
	rm -rf build

override_dh_auto_build:
	echo "Do nothing..."

override_dh_auto_install:
	for i in $(PYTHON3S) ; do \
		python3 setup.py install -f --install-layout=deb --root=$(CURDIR)/debian/tmp ; \
	done
ifeq (,$(findstring nocheck, $(DEB_BUILD_OPTIONS)))
	set -x ; set -e ; for i in $(PYTHON3S); do \
		PYTHONPATH=$(CURDIR)/debian/tmp/usr/lib/python3/dist-packages PYTHON=python$$i stestr init ; \
		HOME=$(CURDIR) PYTHONPATH=$(CURDIR)/debian/tmp/usr/lib/python3/dist-packages PYTHON=python$$i stestr run --subunit 'stestr\.tests\.(?!(.*repository\.test_file\.TestFileRepository\.test_get_test_run_unexpected_ioerror_errno.*))' | subunit2pyunit ; \
	done
endif

override_dh_auto_test:
	echo "Do nothing..."

override_dh_sphinxdoc:
ifeq (,$(findstring nodoc, $(DEB_BUILD_OPTIONS)))
	sphinx-build -b html doc/source debian/python-stestr-doc/usr/share/doc/python-stestr-doc/html
	dh_sphinxdoc
endif

override_dh_python3:
	dh_python3 --shebang=/usr/bin/python3

## python-stestr 3.0.0

=== requirements.txt ===
--- 
+++ 
@@ -4,9 +4,8 @@
 future
 pbr!=2.1.0,>=2.0.0,!=4.0.0,!=4.0.1,!=4.0.2,!=4.0.3 # Apache-2.0
 cliff>=2.8.0 # Apache-2.0
-python-subunit>=1.3.0 # Apache-2.0/BSD
+python-subunit>=1.4.0 # Apache-2.0/BSD
 fixtures>=3.0.0 # Apache-2.0/BSD
-six>=1.10.0 # MIT
 testtools>=2.2.0 # MIT
 PyYAML>=3.10.0 # MIT
 voluptuous>=0.8.9 # BSD License

=== debian/changelog ===
python-stestr (3.0.0-0ubuntu1) focal; urgency=medium

  * New upstream release resolving compatibility issues with Python 3.8:
    - d/control: Bump minimum subunit version to 1.4.0.

 -- James Page <james.page@ubuntu.com>  Mon, 30 Mar 2020 10:02:21 +0100

python-stestr (2.4.0-2) unstable; urgency=medium

  [ Ondřej Nový ]
  * Bump Standards-Version to 4.4.1.

  [ Thomas Goirand ]
  * Uploading to unstable.

 -- Thomas Goirand <zigo@debian.org>  Mon, 21 Oct 2019 10:23:39 +0200

python-stestr (2.4.0-1) experimental; urgency=medium

  [ Ondřej Nový ]
  * Running wrap-and-sort -bast.
  * Use debhelper-compat instead of debian/compat.
  * Use 'python3 -m sphinx' instead of sphinx-build for building docs.
  * Bump Standards-Version to 4.4.0.

  [ Thomas Goirand ]
  * New upstream release.
  * Rebased remove-privacy-breach-in-README.rst.patch.

 -- Thomas Goirand <zigo@debian.org>  Wed, 18 Sep 2019 22:12:54 +0200

=== debian/control ===
--- 
+++ 
@@ -1,20 +1,21 @@
 Source: python-stestr
 Section: python
 Priority: optional
-Maintainer: Debian OpenStack <team+openstack@tracker.debian.org>
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Debian OpenStack <team+openstack@tracker.debian.org>
 Uploaders:
  Thomas Goirand <zigo@debian.org>,
 Build-Depends:
- debhelper (>= 10),
+ debhelper-compat (= 10),
  dh-python,
  openstack-pkg-tools,
- python3-sphinx,
  python3-all,
  python3-pbr,
  python3-setuptools,
+ python3-sphinx,
 Build-Depends-Indep:
+ python3-cliff,
  python3-coverage,
- python3-cliff,
  python3-ddt,
  python3-fixtures,
  python3-future,
@@ -24,8 +25,8 @@
  python3-testtools,
  python3-voluptuous,
  python3-yaml,
- subunit,
-Standards-Version: 4.3.0
+ subunit (>= 1.4.0),
+Standards-Version: 4.4.1
 Vcs-Browser: https://salsa.debian.org/openstack-team/libs/python-stestr
 Vcs-Git: https://salsa.debian.org/openstack-team/libs/python-stestr.git
 Homepage: https://github.com/mtreinish/stestr
@@ -62,7 +63,7 @@
  python3-testtools,
  python3-voluptuous,
  python3-yaml,
- subunit,
+ subunit (>= 1.4.0),
  ${misc:Depends},
  ${python3:Depends},
 Suggests:

## python-stestr 3.0.1

=== debian/changelog ===
python-stestr (3.0.1-2) unstable; urgency=medium

  * Uploading to unstable.
  * Fixed watch file.
  * Add a debian/salsa-ci.yml.

 -- Thomas Goirand <zigo@debian.org>  Wed, 14 Oct 2020 14:01:45 +0200

python-stestr (3.0.1-1) experimental; urgency=medium

  * Add some <!nocheck> in d/control to avoid some package a build time if not
    running unit tests.
  * Add Build-Profiles: <!nodoc> for the -doc package.
  * New upstream release.
  * Fixed (build-)depends for this release.
  * Rebased remove-privacy-breach-in-README.rst.patch.

 -- Thomas Goirand <zigo@debian.org>  Tue, 08 Sep 2020 08:47:04 +0200

=== debian/control ===
--- 
+++ 
@@ -1,8 +1,7 @@
 Source: python-stestr
 Section: python
 Priority: optional
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: Debian OpenStack <team+openstack@tracker.debian.org>
+Maintainer: Debian OpenStack <team+openstack@tracker.debian.org>
 Uploaders:
  Thomas Goirand <zigo@debian.org>,
 Build-Depends:
@@ -15,17 +14,15 @@
  python3-sphinx,
 Build-Depends-Indep:
  python3-cliff,
- python3-coverage,
- python3-ddt,
- python3-fixtures,
- python3-future,
- python3-mock,
- python3-six,
- python3-subunit2sql,
- python3-testtools,
- python3-voluptuous,
- python3-yaml,
- subunit (>= 1.4.0),
+ python3-coverage <!nocheck>,
+ python3-ddt <!nocheck>,
+ python3-fixtures <!nocheck>,
+ python3-future <!nocheck>,
+ python3-subunit2sql <!nocheck>,
+ python3-testtools <!nocheck>,
+ python3-voluptuous <!nocheck>,
+ python3-yaml <!nocheck>,
+ subunit (>= 1.4.0) <!nocheck>,
 Standards-Version: 4.4.1
 Vcs-Browser: https://salsa.debian.org/openstack-team/libs/python-stestr
 Vcs-Git: https://salsa.debian.org/openstack-team/libs/python-stestr.git
@@ -34,6 +31,7 @@
 Package: python-stestr-doc
 Section: doc
 Architecture: all
+Build-Profiles: <!nodoc>
 Depends:
  ${misc:Depends},
  ${sphinxdoc:Depends},
@@ -59,7 +57,6 @@
  python3-fixtures,
  python3-future,
  python3-pbr,
- python3-six,
  python3-testtools,
  python3-voluptuous,
  python3-yaml,

## python-stestr 3.2.1

=== debian/changelog ===
python-stestr (3.2.1-1) unstable; urgency=medium

  * New upstream release.
  * Removed subunit2sql build-depends.
  * Rebased remove-privacy-breach-in-README.rst.patch.

 -- Thomas Goirand <zigo@debian.org>  Thu, 11 Nov 2021 10:00:38 +0100

python-stestr (3.1.0-2) unstable; urgency=medium

  * Upload to unstable.

 -- Thomas Goirand <zigo@debian.org>  Mon, 16 Aug 2021 09:37:33 +0200

python-stestr (3.1.0-1) experimental; urgency=medium

  * New upstream release.

 -- Thomas Goirand <zigo@debian.org>  Mon, 08 Mar 2021 11:29:10 +0100

=== debian/control ===
--- 
+++ 
@@ -18,7 +18,6 @@
  python3-ddt <!nocheck>,
  python3-fixtures <!nocheck>,
  python3-future <!nocheck>,
- python3-subunit2sql <!nocheck>,
  python3-testtools <!nocheck>,
  python3-voluptuous <!nocheck>,
  python3-yaml <!nocheck>,

=== debian/rules ===
--- 
+++ 
@@ -31,7 +31,7 @@
 
 override_dh_sphinxdoc:
 ifeq (,$(findstring nodoc, $(DEB_BUILD_OPTIONS)))
-	sphinx-build -b html doc/source debian/python-stestr-doc/usr/share/doc/python-stestr-doc/html
+	python3 -m sphinx -b html doc/source debian/python-stestr-doc/usr/share/doc/python-stestr-doc/html
 	dh_sphinxdoc
 endif

## python-stestr 4.1.0

=== requirements.txt ===
# The order of packages is significant, because pip processes them in the order
# of appearance. Changing the order has an impact on the overall integration
# process, which may cause wedges in the gate later.
pbr!=2.1.0,>=2.0.0,!=4.0.0,!=4.0.1,!=4.0.2,!=4.0.3 # Apache-2.0
cliff>=2.8.0 # Apache-2.0
python-subunit>=1.4.0 # Apache-2.0/BSD
fixtures>=3.0.0 # Apache-2.0/BSD
testtools>=2.2.0 # MIT
PyYAML>=3.10.0 # MIT
voluptuous>=0.8.9 # BSD License
tomlkit>=0.11.6 # MIT
extras>=1.0.0

=== debian/changelog ===
python-stestr (4.1.0-3) unstable; urgency=medium

  * Switch to pybuild (Closes: #1090619).

 -- Thomas Goirand <zigo@debian.org>  Wed, 18 Dec 2024 22:34:43 +0100

python-stestr (4.1.0-2) unstable; urgency=medium

  * Add bash completion.

 -- Thomas Goirand <zigo@debian.org>  Tue, 19 Mar 2024 09:33:59 +0100

python-stestr (4.1.0-1) unstable; urgency=medium

  * New upstream relesae.
  * Fixed (build-)depends for this release.

 -- Thomas Goirand <zigo@debian.org>  Sun, 17 Dec 2023 16:26:26 +0100

python-stestr (4.0.1-2) unstable; urgency=medium

  * Uploading to unstable.

 -- Thomas Goirand <zigo@debian.org>  Wed, 04 Oct 2023 22:38:57 +0200

python-stestr (4.0.1-1) experimental; urgency=medium

  * New upstream release.
  * Rebased remove-privacy-breach-in-README.rst.patch.

 -- Thomas Goirand <zigo@debian.org>  Tue, 29 Aug 2023 13:44:27 +0200

python-stestr (3.2.1-2) unstable; urgency=medium

  * Cleans better (Closes: #1047756).

 -- Thomas Goirand <zigo@debian.org>  Mon, 21 Aug 2023 14:31:27 +0200

=== debian/control ===
--- 
+++ 
@@ -14,11 +14,13 @@
  python3-sphinx,
 Build-Depends-Indep:
  python3-cliff,
+ python3-iso8601,
+ python3-extras <!nocheck>,,
  python3-coverage <!nocheck>,
  python3-ddt <!nocheck>,
  python3-fixtures <!nocheck>,
- python3-future <!nocheck>,
  python3-testtools <!nocheck>,
+ python3-tomlkit <!nocheck>,,
  python3-voluptuous <!nocheck>,
  python3-yaml <!nocheck>,
  subunit (>= 1.4.0) <!nocheck>,
@@ -53,10 +55,11 @@
 Architecture: all
 Depends:
  python3-cliff,
+ python3-extras,
  python3-fixtures,
- python3-future,
  python3-pbr,
  python3-testtools,
+ python3-tomlkit,
  python3-voluptuous,
  python3-yaml,
  subunit (>= 1.4.0),

=== debian/rules ===
--- 
+++ 
@@ -4,13 +4,15 @@
 include /usr/share/openstack-pkg-tools/pkgos.make
 
 %:
-	dh $@ --buildsystem=python_distutils --with python3,sphinxdoc
+	dh $@ --buildsystem=pybuild --with python3,sphinxdoc
 
 # We need this to have the stestr binary when running tests
 export PATH:=$(PATH):$(CURDIR)/debian/tmp/usr/bin
 
 override_dh_auto_clean:
-	rm -rf build
+	rm -rf build .stestr *.egg-info .cache
+	find . -iname '*.pyc' -delete
+	for i in $$(find . -type d -iname __pycache__) ; do rm -rf $$i ; done
 
 override_dh_auto_build:
 	echo "Do nothing..."
@@ -25,6 +27,9 @@
 		HOME=$(CURDIR) PYTHONPATH=$(CURDIR)/debian/tmp/usr/lib/python3/dist-packages PYTHON=python$$i stestr run --subunit 'stestr\.tests\.(?!(.*repository\.test_file\.TestFileRepository\.test_get_test_run_unexpected_ioerror_errno.*))' | subunit2pyunit ; \
 	done
 endif
+	# Generate bash completion
+	mkdir -p $(CURDIR)/debian/python3-stestr/usr/share/bash-completion/completions
+	PYTHONPATH=$(CURDIR)/debian/tmp/usr/lib/python3/dist-packages PATH=$(CURDIR)/debian/tmp/usr/bin stestr complete >$(CURDIR)/debian/python3-stestr/usr/share/bash-completion/completions/stestr
 
 override_dh_auto_test:
 	echo "Do nothing..."

## python-stestr 4.2.0

=== debian/changelog ===
python-stestr (4.2.0-1) unstable; urgency=medium

  * New upstream release.
  * Removed python3-extras from (build-)depends.
  * Added flit and pybuild-plugin-pyproject as build-depends.
  * Fixed override_dh_auto_install.
  * Uploading to unstable.
  * Add a debian/bin (to $PATH) containing the stestr binary.

 -- Thomas Goirand <zigo@debian.org>  Mon, 29 Sep 2025 12:06:54 +0200

=== debian/control ===
--- 
+++ 
@@ -7,20 +7,21 @@
 Build-Depends:
  debhelper-compat (= 10),
  dh-python,
+ flit,
  openstack-pkg-tools,
+ pybuild-plugin-pyproject,
  python3-all,
  python3-pbr,
  python3-setuptools,
  python3-sphinx,
 Build-Depends-Indep:
  python3-cliff,
- python3-iso8601,
- python3-extras <!nocheck>,,
  python3-coverage <!nocheck>,
  python3-ddt <!nocheck>,
  python3-fixtures <!nocheck>,
+ python3-iso8601,
  python3-testtools <!nocheck>,
- python3-tomlkit <!nocheck>,,
+ python3-tomlkit <!nocheck>,
  python3-voluptuous <!nocheck>,
  python3-yaml <!nocheck>,
  subunit (>= 1.4.0) <!nocheck>,
@@ -55,7 +56,6 @@
 Architecture: all
 Depends:
  python3-cliff,
- python3-extras,
  python3-fixtures,
  python3-pbr,
  python3-testtools,

=== debian/rules ===
#!/usr/bin/make -f

UPSTREAM_GIT := https://github.com/mtreinish/stestr.git
include /usr/share/openstack-pkg-tools/pkgos.make

export PYBUILD_NAME=stestr
export PYBUILD_INSTALL_ARGS=--install-lib=/usr/lib/python3/dist-packages

%:
	dh $@ --buildsystem=pybuild --with python3,sphinxdoc

# We need this to have the stestr binary when running tests
export PATH:=$(PATH):$(CURDIR)/debian/tmp/usr/bin

override_dh_auto_clean:
	rm -rf build .stestr *.egg-info .cache
	find . -iname '*.pyc' -delete
	for i in $$(find . -type d -iname __pycache__) ; do rm -rf $$i ; done

override_dh_install:
	dh_install

ifeq (,$(findstring nocheck, $(DEB_BUILD_OPTIONS)))
	set -x ; set -e ; for i in $(PYTHON3S); do \
		find . ; \
		export PATH=$$PATH:$(CURDIR)/debian/bin ; \
		export PYTHONPATH=$(CURDIR)/.pybuild/cpython3_$${i}_stestr/build PYTHON=python$$i ; \
		stestr init ; \
		HOME=$(CURDIR) PYTHON=python$$i stestr run --subunit 'stestr\.tests\.(?!(.*repository\.test_file\.TestFileRepository\.test_get_test_run_unexpected_ioerror_errno.*))' | subunit2pyunit ; \
	done
endif
	# Generate bash completion
	mkdir -p $(CURDIR)/debian/python3-stestr/usr/share/bash-completion/completions
	set -x ; set -e ; for i in $(PYTHON3S); do \
		export PATH=$$PATH:$(CURDIR)/debian/bin ; \
		export PYTHONPATH=$(CURDIR)/.pybuild/cpython3_$${i}_stestr/build ; \
		stestr complete >$(CURDIR)/debian/python3-stestr/usr/share/bash-completion/completions/stestr ; \
	done

override_dh_auto_test:
	echo "Do nothing..."

override_dh_sphinxdoc:
ifeq (,$(findstring nodoc, $(DEB_BUILD_OPTIONS)))
	python3 -m sphinx -b html doc/source debian/python-stestr-doc/usr/share/doc/python-stestr-doc/html
	dh_sphinxdoc
endif

override_dh_python3:
	dh_python3 --shebang=/usr/bin/python3

=== debian/watch ===
version=3
opts="uversionmangle=s/\.0rc/~rc/;s/\.0b1/~b1/;s/\.0b2/~b2/;s/\.0b3/~b3/" \
https://github.com/mtreinish/stestr/tags .*/(\d[brc\d\.]+)\.tar\.gz

## python-stestr 4.2.1

=== debian/changelog ===
python-stestr (4.2.1-1) experimental; urgency=medium

  * New upstream release.

 -- Thomas Goirand <zigo@debian.org>  Thu, 26 Feb 2026 22:34:53 +0100

python-stestr (4.2.0-2) unstable; urgency=medium

  * Cleans better (Closes: #1046813).

 -- Thomas Goirand <zigo@debian.org>  Wed, 11 Feb 2026 09:50:05 +0100
